# DataExchange
TKSTEPAttr
StepDimTol

# StepDimTol_DatumTarget Class Reference

Representation of STEP entity DatumTarget
.

`#include <StepDimTol_DatumTarget.hxx>`

Inheritance diagram for StepDimTol_DatumTarget:

[legend]

## Public Member Functions

Standard_EXPORT | StepDimTol_DatumTarget ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aShapeAspect_Name, const Handle(TCollection_HAsciiString)&aShapeAspect_Description, const Handle(StepRepr_ProductDefinitionShape)&aShapeAspect_OfShape, const StepData_Logical aShapeAspect_ProductDefinitional, const Handle(TCollection_HAsciiString)&aTargetId)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | TargetId () const
| Returns field TargetId .
Standard_EXPORT void | SetTargetId (const Handle(TCollection_HAsciiString)&TargetId)
| Set field TargetId .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theTargetId

## Constructor & Destructor Documentation

Standard_EXPORT StepDimTol_DatumTarget::StepDimTol_DatumTarget | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepDimTol_DatumTarget::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_ShapeAspect. Reimplemented in StepDimTol_PlacedDatumTargetFeature.

Standard_EXPORT void StepDimTol_DatumTarget::Init | ( | const Handle(TCollection_HAsciiString)& | aShapeAspect_Name,
|  | const Handle(TCollection_HAsciiString)& | aShapeAspect_Description,
|  | const Handle(StepRepr_ProductDefinitionShape)& | aShapeAspect_OfShape,
|  | const StepData_Logical | aShapeAspect_ProductDefinitional,
|  | const Handle(TCollection_HAsciiString)& | aTargetId
| ) |

Standard_EXPORT void StepDimTol_DatumTarget::SetTargetId | ( | const Handle(TCollection_HAsciiString)& | TargetId | ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepDimTol_DatumTarget::TargetId | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString StepDimTol_DatumTarget::theTargetId `[private]`

The documentation for this class was generated from the following file:

- StepDimTol_DatumTarget.hxx